// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawn.hpp"

/**
 * Asserts a statement to be true, if not true a failed assertion is thrown
 * and a program halt is requested.
 * 
 * @param condition The condition to assert.
 * @param message Message to display if assertion is false.
 * @param ...args Arguments to format the message with. (Sprintf)
 */
static void assertTrue(bool condition, const char_t *message, ...);